This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1023386 - Meet "mkdir: cannot create directory ..Permission denied" error while migrating zend gears
Meet "mkdir: cannot create directory ..Permission denied" error while migrat...
Status: CLOSED CURRENTRELEASE
Product: OpenShift Online
Classification: Red Hat
Component: Containers (Show other bugs)
2.x
Unspecified Unspecified
medium Severity medium
: ---
: ---
Assigned To: Dan Mace
libra bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-25 06:18 EDT by Jianwei Hou
Modified: 2015-05-14 19:31 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-01-23 22:26:56 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jianwei Hou 2013-10-25 06:18:33 EDT
Description of problem:
Zend app migration failed due to an script error: "mkdir: cannot create directory `/var/lib/openshift/5269e07b4b4e3f9e380001d1/app-root/runtime/dependencies//php': Permission denied\n".

Version-Release number of selected component (if applicable):
On devenv_3942

How reproducible:
Always

Steps to Reproduce:
1. Create zend applications on devenv-stage_528
2. Upgrade the devenv-stage ami to latest and do migration with oo-admin-upgrade


Actual results:
Found all gears are migrated successfully but one zend application. Here is the error detail: 

<---snip--->
         "zend_upgrade_cart":{
            "status":"incomplete",
            "errors":[
               "Unhandled exception performing step: Errors encountered executing step upgrade_script_zend\n/opt/rh/ruby193/root/usr/share/gems/gems/openshift-origin-node-1.16.5/lib/openshift-origin-node/utils/upgrade_progress.rb:42:in `step'\n/opt/rh/ruby193/root/usr/share/gems/gems/openshift-origin-node-1.16.5/lib/openshift-origin-node/model/upgrade.rb:557:in `execute_cartridge_upgrade_script'\n/opt/rh/ruby193/root/usr/share/gems/gems/openshift-origin-node-1.16.5/lib/openshift-origin-node/model/upgrade.rb:528:in `block in incompatible_upgrade'\n/opt/rh/ruby193/root/usr/share/gems/gems/openshift-origin-node-1.16.5/lib/openshift-origin-node/model/v2_cart_model.rb:421:in `unlock_gear'\n/opt/rh/ruby193/root/usr/share/gems/gems/openshift-origin-node-1.16.5/lib/openshift-origin-node/model/upgrade.rb:525:in `incompatible_upgrade'\n/opt/rh/ruby193/root/usr/share/gems/gems/openshift-origin-node-1.16.5/lib/openshift-origin-node/model/upgrade.rb:409:in `block (4 levels) in upgrade_cartridges'\n/opt/rh/ruby193/root/usr/share/gems/gems/openshift-origin-node-1.16.5/lib/openshift-origin-node/utils/upgrade_progress.rb:32:in `step'\n/opt/rh/ruby193/root/usr/share/gems/gems/openshift-origin-node-1.16.5/lib/openshift-origin-node/model/upgrade.rb:399:in `block (3 levels) in upgrade_cartridges'\n/opt/rh/ruby193/root/usr/share/gems/gems/openshift-origin-node-1.16.5/lib/openshift-origin-node/utils/upgrade_itinerary.rb:35:in `block in each_cartridge'\n/opt/rh/ruby193/root/usr/share/gems/gems/openshift-origin-node-1.16.5/lib/openshift-origin-node/utils/upgrade_itinerary.rb:34:in `each_pair'\n/opt/rh/ruby193/root/usr/share/gems/gems/openshift-origin-node-1.16.5/lib/openshift-origin-node/utils/upgrade_itinerary.rb:34:in `each_cartridge'\n/opt/rh/ruby193/root/usr/share/gems/gems/openshift-origin-node-1.16.5/lib/openshift-origin-node/model/upgrade.rb:385:in `block (2 levels) in upgrade_cartridges'\n/opt/rh/ruby193/root/usr/share/gems/gems/openshift-origin-node-1.16.5/lib/openshift-origin-node/model/upgrade.rb:384:in `chdir'\n/opt/rh/ruby193/root/usr/share/gems/gems/openshift-origin-node-1.16.5/lib/openshift-origin-node/model/upgrade.rb:384:in `block in upgrade_cartridges'\n/opt/rh/ruby193/root/usr/share/gems/gems/openshift-origin-node-1.16.5/lib/openshift-origin-node/utils/cgroups.rb:126:in `call'\n/opt/rh/ruby193/root/usr/share/gems/gems/openshift-origin-node-1.16.5/lib/openshift-origin-node/utils/cgroups.rb:126:in `apply_profile'\n/opt/rh/ruby193/root/usr/share/gems/gems/openshift-origin-node-1.16.5/lib/openshift-origin-node/utils/cgroups.rb:44:in `block (2 levels) in <class:Cgroups>'\n/opt/rh/ruby193/root/usr/share/gems/gems/openshift-origin-node-1.16.5/lib/openshift-origin-node/model/upgrade.rb:383:in `upgrade_cartridges'\n/opt/rh/ruby193/root/usr/share/gems/gems/openshift-origin-node-1.16.5/lib/openshift-origin-node/model/upgrade.rb:159:in `execute'\n/opt/rh/ruby193/root/usr/libexec/mcollective/mcollective/agent/openshift.rb:243:in `upgrade_action'\n/opt/rh/ruby193/root/usr/share/ruby/mcollective/rpc/agent.rb:86:in `handlemsg'\n/opt/rh/ruby193/root/usr/share/ruby/mcollective/agents.rb:126:in `block (2 levels) in dispatch'\n/opt/rh/ruby193/root/usr/share/ruby/timeout.rb:69:in `timeout'\n/opt/rh/ruby193/root/usr/share/ruby/mcollective/agents.rb:125:in `block in dispatch'"
            ],
            "context":{
               "cartridge":"zend",
               "compatible":false
            }
         },
         "upgrade_script_zend":{
            "status":"incomplete",
            "errors":[
               "Upgrade script for zend returned a non-zero exit code (1)"
            ],
            "context":{
               "cartridge":"zend",
               "rc":1,
               "stdout":"",
               "stderr":"mkdir: cannot create directory `/var/lib/openshift/5269e07b4b4e3f9e380001d1/app-root/runtime/dependencies//php': Permission denied\n"
            }
         }
      },
<---end of snip--->

Expected results:
Zend gears should be migrated successfully 

Additional info:
Comment 2 Jianwei Hou 2013-10-29 08:01:48 EDT
Blocked by bug 1024322
Comment 3 Jianwei Hou 2013-10-30 03:46:16 EDT
Verified on devenv_3966, zend gears are migrated successfully.

Note You need to log in before you can comment on or make changes to this bug.